## org.eclipse.emf.edit.provider
Interface IItemPropertyDescriptor.OverrideableCommandOwner

All Known Implementing Classes:
  DelegatingWrapperItemProvider.DelegatingWrapperItemPropertyDescriptor, GenBaseItemProvider.GenItemPropertyDescriptor, ItemPropertyDescriptor, WrapperItemProvider.WrapperItemPropertyDescriptor

Enclosing interface:
  IItemPropertyDescriptor

    public static interface IItemPropertyDescriptor.OverrideableCommandOwner

This interface may be implemented by item property descriptors to allow an object to be provided as an override for whatever would usually be the owner of any commands created to set the property's value. This is typically used when a wrapper is being displayed in place of a real model object, so that commands will be created by the wrapper.

Method Summary
`java.lang.Object` `getCommandOwner()` Returns the override command owner set via `setCommandOwner`.
`void` `setCommandOwner(java.lang.Object override)` Sets the object to use as the owner of commands created to set the property's value.

Method Detail

### setCommandOwner

    void setCommandOwner(java.lang.Object override)

  Sets the object to use as the owner of commands created to set the property's value.

### getCommandOwner

    java.lang.Object getCommandOwner()

  Returns the override command owner set via `setCommandOwner`.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.